<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/TrackerPulse.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TrackerPulse.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_tracker_pulse_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_TrackerPulse_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_TrackerPulse_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_tracker_pulse_const_8h.html">eicd/TrackerPulseConst.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_tracker_pulse_obj_8h.html">eicd/TrackerPulseObj.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;podio/ObjectID.h&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">// forward declarations</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">class </span>TrackerData;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">class </span>ConstTrackerData;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;}</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">class </span>TrackerPulseCollection;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">class </span>TrackerPulseCollectionIterator;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">class </span>ConstTrackerPulse;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse.html">   30</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a> {</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_tracker_pulse_collection.html">TrackerPulseCollection</a>;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_tracker_pulse_collection_iterator.html">TrackerPulseCollectionIterator</a>;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a>;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;  <a class="code" href="classeic_1_1_tracker_pulse.html#afdfe3c6bdc65086f80520e72def846cd">TrackerPulse</a>();</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;  <a class="code" href="classeic_1_1_tracker_pulse.html#afdfe3c6bdc65086f80520e72def846cd">TrackerPulse</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_tracker_pulse.html#aaa60304285e03ee0772d0ac47992f31c">cellID0</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_tracker_pulse.html#a261937a51cd0cfc62f20896c0515a1a3">cellID1</a>, <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_tracker_pulse.html#a902fddca0e78cf4ac0674959f24b8e18">quality</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_tracker_pulse.html#aa1d0cd662c25c1154ea1a3bbd4098827">time</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_tracker_pulse.html#a6622d93e480d7bdf018b547b75f47cf8">charge</a>);</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;  <a class="code" href="classeic_1_1_tracker_pulse.html#afdfe3c6bdc65086f80520e72def846cd">TrackerPulse</a>(<a class="code" href="classeic_1_1_tracker_pulse_obj.html">TrackerPulseObj</a>* obj);</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;  <a class="code" href="classeic_1_1_tracker_pulse.html#afdfe3c6bdc65086f80520e72def846cd">TrackerPulse</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a>&amp; other);</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;  <a class="code" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a>&amp; <a class="code" href="classeic_1_1_tracker_pulse.html#a838ffcd7be1932d05a579ecf67061e8a">operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a>&amp; other);</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;  <a class="code" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a> <a class="code" href="classeic_1_1_tracker_pulse.html#ab7d4d32b749c59c8edc25c77cae1859c">clone</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;  <a class="code" href="classeic_1_1_tracker_pulse.html#a3cf20c306a7051e1b7dd521e34fcfb1b">~TrackerPulse</a>();</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;  <span class="keyword">operator</span> <a class="code" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_tracker_pulse.html#aaa60304285e03ee0772d0ac47992f31c">cellID0</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_tracker_pulse.html#a261937a51cd0cfc62f20896c0515a1a3">cellID1</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">int</span>&amp; <a class="code" href="classeic_1_1_tracker_pulse.html#a902fddca0e78cf4ac0674959f24b8e18">quality</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_tracker_pulse.html#aa1d0cd662c25c1154ea1a3bbd4098827">time</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_tracker_pulse.html#a6622d93e480d7bdf018b547b75f47cf8">charge</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  const ::eic::ConstTrackerData <a class="code" href="classeic_1_1_tracker_pulse.html#ae06db3bf7e8317d3db4fb139cf2ac690">corrData</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_pulse.html#aaa60304285e03ee0772d0ac47992f31c">cellID0</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> value);</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_pulse.html#a261937a51cd0cfc62f20896c0515a1a3">cellID1</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> value);</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_pulse.html#a902fddca0e78cf4ac0674959f24b8e18">quality</a>(<span class="keywordtype">int</span> value);</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_pulse.html#aa1d0cd662c25c1154ea1a3bbd4098827">time</a>(<span class="keywordtype">float</span> value);</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_pulse.html#a6622d93e480d7bdf018b547b75f47cf8">charge</a>(<span class="keywordtype">float</span> value);</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_pulse.html#ae06db3bf7e8317d3db4fb139cf2ac690">corrData</a>(::<a class="code" href="classeic_1_1_const_tracker_data.html">eic::ConstTrackerData</a> value);</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_tracker_pulse.html#a5842db84da99870d399356e674a3ac7d">isAvailable</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00106"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse.html#a3f203f051c604e43f6aa9587b880480c">  106</a></span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_pulse.html#a3f203f051c604e43f6aa9587b880480c">unlink</a>() { m_obj = <span class="keyword">nullptr</span>; }</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse.html#a420f2678dc8ab27a30ff250bf062f63f">  108</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_tracker_pulse.html#a420f2678dc8ab27a30ff250bf062f63f">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj == other.m_obj; }</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_tracker_pulse.html#a420f2678dc8ab27a30ff250bf062f63f">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a>&amp; other) <span class="keyword">const</span>;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;  <span class="comment">// less comparison operator, so that objects can be e.g. stored in sets.</span></div><div class="line"><a name="l00112"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse.html#a2c96f74153214bdaba8ba4383be9af01">  112</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_tracker_pulse.html#a2c96f74153214bdaba8ba4383be9af01">operator&lt;</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj &lt; other.m_obj; }</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_pulse.html#a34663b42d1fb86fc1de87f072659e60a">  114</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_tracker_pulse.html#a34663b42d1fb86fc1de87f072659e60a">id</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_tracker_pulse.html#a4d8cf86215e2cc728918d1b34f66ce5b">getObjectID</a>().collectionID * 10000000 + <a class="code" href="classeic_1_1_tracker_pulse.html#a4d8cf86215e2cc728918d1b34f66ce5b">getObjectID</a>().index; }</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;  <span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_tracker_pulse.html#a4d8cf86215e2cc728918d1b34f66ce5b">getObjectID</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;  <a class="code" href="classeic_1_1_tracker_pulse_obj.html">TrackerPulseObj</a>* m_obj;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;};</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a>&amp; value);</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_tracker_pulse_html_a6622d93e480d7bdf018b547b75f47cf8"><div class="ttname"><a href="classeic_1_1_tracker_pulse.html#a6622d93e480d7bdf018b547b75f47cf8">eic::TrackerPulse::charge</a></div><div class="ttdeci">const float &amp; charge() const</div><div class="ttdoc">Access the The integrated charge of the pulse. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_8cc_source.html#l00057">TrackerPulse.cc:57</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_html_a5842db84da99870d399356e674a3ac7d"><div class="ttname"><a href="classeic_1_1_tracker_pulse.html#a5842db84da99870d399356e674a3ac7d">eic::TrackerPulse::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_8cc_source.html#l00084">TrackerPulse.cc:84</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_html_ab7d4d32b749c59c8edc25c77cae1859c"><div class="ttname"><a href="classeic_1_1_tracker_pulse.html#ab7d4d32b749c59c8edc25c77cae1859c">eic::TrackerPulse::clone</a></div><div class="ttdeci">TrackerPulse clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_8cc_source.html#l00044">TrackerPulse.cc:44</a></div></div>
<div class="ttc" id="_tracker_pulse_obj_8h_html"><div class="ttname"><a href="_tracker_pulse_obj_8h.html">TrackerPulseObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_html_a3f203f051c604e43f6aa9587b880480c"><div class="ttname"><a href="classeic_1_1_tracker_pulse.html#a3f203f051c604e43f6aa9587b880480c">eic::TrackerPulse::unlink</a></div><div class="ttdeci">void unlink()</div><div class="ttdoc">disconnect from TrackerPulseObj instance </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_8h_source.html#l00106">TrackerPulse.h:106</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_html"><div class="ttname"><a href="classeic_1_1_tracker_pulse.html">eic::TrackerPulse</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_8h_source.html#l00030">TrackerPulse.h:30</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_html"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection.html">eic::TrackerPulseCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8h_source.html#l00050">TrackerPulseCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_data_html"><div class="ttname"><a href="classeic_1_1_const_tracker_data.html">eic::ConstTrackerData</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_const_8h_source.html#l00023">TrackerDataConst.h:23</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_html_a4d8cf86215e2cc728918d1b34f66ce5b"><div class="ttname"><a href="classeic_1_1_tracker_pulse.html#a4d8cf86215e2cc728918d1b34f66ce5b">eic::TrackerPulse::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_8cc_source.html#l00091">TrackerPulse.cc:91</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_html_afdfe3c6bdc65086f80520e72def846cd"><div class="ttname"><a href="classeic_1_1_tracker_pulse.html#afdfe3c6bdc65086f80520e72def846cd">eic::TrackerPulse::TrackerPulse</a></div><div class="ttdeci">TrackerPulse()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_8cc_source.html#l00017">TrackerPulse.cc:17</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_html_aa1d0cd662c25c1154ea1a3bbd4098827"><div class="ttname"><a href="classeic_1_1_tracker_pulse.html#aa1d0cd662c25c1154ea1a3bbd4098827">eic::TrackerPulse::time</a></div><div class="ttdeci">const float &amp; time() const</div><div class="ttdoc">Access the The time of the pulse. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_8cc_source.html#l00056">TrackerPulse.cc:56</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_html_ae06db3bf7e8317d3db4fb139cf2ac690"><div class="ttname"><a href="classeic_1_1_tracker_pulse.html#ae06db3bf7e8317d3db4fb139cf2ac690">eic::TrackerPulse::corrData</a></div><div class="ttdeci">const ::eic::ConstTrackerData corrData() const</div><div class="ttdoc">Access the ... </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_8cc_source.html#l00059">TrackerPulse.cc:59</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00112">CalorimeterHit.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_html_a3cf20c306a7051e1b7dd521e34fcfb1b"><div class="ttname"><a href="classeic_1_1_tracker_pulse.html#a3cf20c306a7051e1b7dd521e34fcfb1b">eic::TrackerPulse::~TrackerPulse</a></div><div class="ttdeci">~TrackerPulse()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_8cc_source.html#l00048">TrackerPulse.cc:48</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_html_a34663b42d1fb86fc1de87f072659e60a"><div class="ttname"><a href="classeic_1_1_tracker_pulse.html#a34663b42d1fb86fc1de87f072659e60a">eic::TrackerPulse::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_8h_source.html#l00114">TrackerPulse.h:114</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_html_a2c96f74153214bdaba8ba4383be9af01"><div class="ttname"><a href="classeic_1_1_tracker_pulse.html#a2c96f74153214bdaba8ba4383be9af01">eic::TrackerPulse::operator&lt;</a></div><div class="ttdeci">bool operator&lt;(const TrackerPulse &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_8h_source.html#l00112">TrackerPulse.h:112</a></div></div>
<div class="ttc" id="_tracker_pulse_const_8h_html"><div class="ttname"><a href="_tracker_pulse_const_8h.html">TrackerPulseConst.h</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_html_a261937a51cd0cfc62f20896c0515a1a3"><div class="ttname"><a href="classeic_1_1_tracker_pulse.html#a261937a51cd0cfc62f20896c0515a1a3">eic::TrackerPulse::cellID1</a></div><div class="ttdeci">const long long &amp; cellID1() const</div><div class="ttdoc">Access the The second detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_8cc_source.html#l00054">TrackerPulse.cc:54</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_obj_html"><div class="ttname"><a href="classeic_1_1_tracker_pulse_obj.html">eic::TrackerPulseObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_obj_8h_source.html#l00022">TrackerPulseObj.h:22</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_html_a902fddca0e78cf4ac0674959f24b8e18"><div class="ttname"><a href="classeic_1_1_tracker_pulse.html#a902fddca0e78cf4ac0674959f24b8e18">eic::TrackerPulse::quality</a></div><div class="ttdeci">const int &amp; quality() const</div><div class="ttdoc">Access the ... </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_8cc_source.html#l00055">TrackerPulse.cc:55</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_pulse_html"><div class="ttname"><a href="classeic_1_1_const_tracker_pulse.html">eic::ConstTrackerPulse</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_const_8h_source.html#l00028">TrackerPulseConst.h:28</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_html_a420f2678dc8ab27a30ff250bf062f63f"><div class="ttname"><a href="classeic_1_1_tracker_pulse.html#a420f2678dc8ab27a30ff250bf062f63f">eic::TrackerPulse::operator==</a></div><div class="ttdeci">bool operator==(const TrackerPulse &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_8h_source.html#l00108">TrackerPulse.h:108</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_html_a838ffcd7be1932d05a579ecf67061e8a"><div class="ttname"><a href="classeic_1_1_tracker_pulse.html#a838ffcd7be1932d05a579ecf67061e8a">eic::TrackerPulse::operator=</a></div><div class="ttdeci">TrackerPulse &amp; operator=(const TrackerPulse &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_8cc_source.html#l00034">TrackerPulse.cc:34</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_html_aaa60304285e03ee0772d0ac47992f31c"><div class="ttname"><a href="classeic_1_1_tracker_pulse.html#aaa60304285e03ee0772d0ac47992f31c">eic::TrackerPulse::cellID0</a></div><div class="ttdeci">const long long &amp; cellID0() const</div><div class="ttdoc">Access the The detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_8cc_source.html#l00053">TrackerPulse.cc:53</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection_iterator.html">eic::TrackerPulseCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8h_source.html#l00029">TrackerPulseCollection.h:29</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
